Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.core.net
Enum Severity

    java.lang.Object
      java.lang.Enum<Severity>
          org.apache.logging.log4j.core.net.Severity

All Implemented Interfaces:
  Serializable, Comparable<Severity>

    public enum Severity

extends Enum<Severity>

Severity values used by the Syslog system.

Numerical Code | Severity
--- | ---
0 | Emergency: system is unusable
1 | Alert: action must be taken immediately
2 | Critical: critical conditions
3 | Error: error conditions
4 | Warning: warning conditions
5 | Notice: normal but significant condition
6 | Informational: informational messages
7 | Debug: debug-level messages

Enum Constant Summary
`ALERT` Action must be taken immediately.
`CRITICAL` Critical conditions.
`DEBUG` Debug level messages.
`EMERG` System is unusable.
`ERROR` Error conditions.
`INFO` Informational messages.
`NOTICE` Normal but significant conditions.
`WARNING` Warning conditions.

Method Summary
`int` | `getCode()` Returns the severity code.
`static Severity` | `getSeverity(org.apache.logging.log4j.Level level)` Returns the Severity for the specified Level.
`boolean` | `isEqual(String name)` Determine if the name matches this Severity.
`static Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EMERG

    public static final Severity EMERG

  System is unusable.

### ALERT

    public static final Severity ALERT

  Action must be taken immediately.

### CRITICAL

    public static final Severity CRITICAL

  Critical conditions.

### ERROR

    public static final Severity ERROR

  Error conditions.

### WARNING

    public static final Severity WARNING

  Warning conditions.

### NOTICE

    public static final Severity NOTICE

  Normal but significant conditions.

### INFO

    public static final Severity INFO

  Informational messages.

### DEBUG

    public static final Severity DEBUG

  Debug level messages.

Method Detail

### values

    public static Severity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Severity c : Severity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Severity valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCode

    public int getCode()

  Returns the severity code.

  Returns:
    The numeric value associated with the Severity.

### isEqual

    public boolean isEqual(String name)

  Determine if the name matches this Severity.

  Parameters:
    `name` - the name to match.
  Returns:
    true if the name matches, false otherwise.

### getSeverity

    public static Severity getSeverity(org.apache.logging.log4j.Level level)

  Returns the Severity for the specified Level.

  Parameters:
    `level` - The Level.
  Returns:
    The matching Severity, or DEBUG if there is no match.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.